#if !defined(AFX_FILEDLG_H__6A5B9AE3_2552_11D2_A4C6_00A0CC307F9C__INCLUDED_)
#define AFX_FILEDLG_H__6A5B9AE3_2552_11D2_A4C6_00A0CC307F9C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FileDlg.h : header file
//
// CrackUp version 1.0
// Copyright  1998 Ziff-Davis, Inc.
// First published in PC Magazine, US Edition, November 3, 1998
// Written by Bob Flanders and Gregory A. Wolking

/////////////////////////////////////////////////////////////////////////////
// CMyFileDlg dialog

class CMyFileDlg : public CFileDialog
{
	DECLARE_DYNAMIC(CMyFileDlg)

public:
	BOOL m_bLaunch;
	BOOL m_bHeaders;
	CMyFileDlg(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter = NULL,
		CWnd* pParentWnd = NULL);

protected:
	//{{AFX_MSG(CMyFileDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	afx_msg void OnchkHeaders();
	afx_msg void OnchkLaunch();
	afx_msg void OncmdSaveOptions();
	afx_msg void OnMyHelp();
	afx_msg BOOL OnHelpButton(UINT, NMHDR*, LRESULT*);
	DECLARE_MESSAGE_MAP()

// Member function overrides
protected:
	virtual void OnTypeChange();
	virtual void OnInitDone();

private:
	int			m_iHelpPopupTopic;
	CStatic		m_fraOptions;
	CButton		m_chkLaunch;
	CButton		m_chkHeaders;
	CButton		m_cmdSaveOptions;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILEDLG_H__6A5B9AE3_2552_11D2_A4C6_00A0CC307F9C__INCLUDED_)
